| [Greenlock](https://git.coolaj86.com/coolaj86/greenlock.js) (library)
| [Greenlock CLI](https://git.coolaj86.com/coolaj86/greenlock-cli.js)
| [greenlock-express](https://git.coolaj86.com/coolaj86/greenlock-express.js)
| [greenlock-koa](https://git.coolaj86.com/coolaj86/greenlock-koa.js)
| [greenlock-hapi](https://git.coolaj86.com/coolaj86/greenlock-hapi.js)
|

le-challenge-manual
===================

A [Root](https://rootprojects.org) Project

A manual cli-based strategy for node-letsencrypt.

Prints the ACME challenge Token and Key and then waits for you to hit enter before continuing.

Install
-------

```bash
npm install --save le-challenge-manual@2.x
```

Usage
-----

```bash
var leChallenge = require('le-challenge-manual').create({
, debug: false
});

var LE = require('letsencrypt');

LE.create({
  server: LE.stagingServerUrl
, challenge: leChallenge
});
```

NOTE: If you request a certificate with 6 domains listed,
it will require 6 individual challenges.

Exposed Methods
---------------

For ACME Challenge:

* `set(opts, domain, key, val, done)`
* `get(defaults, domain, key, done)`
* `remove(defaults, domain, key, done)`

For node-letsencrypt internals:

* `getOptions()` returns the internal defaults merged with the user-supplied options
